Subject: Re: bug#16413: 24.3.50; Inconsistent behavior of text property functions in narrowed buffer

From: Stefan Monnier <[email-masked]>
Date: Sat, 11 Jan 2014 22:42:33 -0500

> Narrowing *is* generally useful for treating part of a buffer
> as a consistent unit, though, especially when that part is syntactically
> different from the rest of the buffer.

Actually, from where I stand, narrowing is harmful.  If I could get rid
of it, I would.  The reason is precisely because it means different
things to different people in different contexts, and these things
require subtly different behaviors which are mutually incompatible.

        Stefan